<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.3112
Name: Reason for Referral Section (06)
Description: Dieser Abschnitt enthält den Grund für die Überweisung. Dieser wird typischerweise als Diagnose eingetragen. 
                 Als Detailinformation (entry) wird das Care Model sowie der Referral Type angegeben. Dies sind Checkboxen auf dem Formular. 
            
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.3112-2016-09-06T164243-closed">
   <title>Reason for Referral Section (06)</title>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3112']]]/*[not(self::hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3112']])]"
         id="d19e1360-true-d24282e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3112-2016-09-06T164243.html"
              test="not(.)">(F06ReasonforReferralSectionV2)/d19e1360-true-d24282e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3112']] (rule-reference: d19e1360-true-d24282e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3112']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3112']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.3112'] | self::hl7:code[(@code='42349-1' and @codeSystem='2.16.840.1.113883.6.1')] | self::hl7:title | self::hl7:text[not(@nullFlavor)] | self::hl7:entry[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4276']]])]"
         id="d19e1381-true-d24331e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3112-2016-09-06T164243.html"
              test="not(.)">(F06ReasonforReferralSectionV2)/d19e1381-true-d24331e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:templateId[@root='1.2.276.0.76.10.3112'] | hl7:code[(@code='42349-1' and @codeSystem='2.16.840.1.113883.6.1')] | hl7:title | hl7:text[not(@nullFlavor)] | hl7:entry[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4276']]] (rule-reference: d19e1381-true-d24331e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3112']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3112']]/hl7:entry[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4276']]]/*[not(self::hl7:act[@classCode='PCPR'][hl7:templateId[@root='1.2.276.0.76.10.4276']])]"
         id="d19e1401-true-d24374e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3112-2016-09-06T164243.html"
              test="not(.)">(F06ReasonforReferralSectionV2)/d19e1401-true-d24374e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:act[@classCode='PCPR'][hl7:templateId[@root='1.2.276.0.76.10.4276']] (rule-reference: d19e1401-true-d24374e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3112']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3112']]/hl7:entry[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4276']]]/hl7:act[@classCode='PCPR'][hl7:templateId[@root='1.2.276.0.76.10.4276']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4276'] | self::hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.3.1.135.8.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor] | self::hl7:statusCode[@code='active'] | self::hl7:entryRelationship[@typeCode='SUBJ'][hl7:observation[hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')]]])]"
         id="d24363e1-true-d24417e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3112-2016-09-06T164243.html"
              test="not(.)">(F06ReasonforReferralSectionV2)/d24363e1-true-d24417e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:templateId[@root='1.2.276.0.76.10.4276'] | hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.3.1.135.8.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor] | hl7:statusCode[@code='active'] | hl7:entryRelationship[@typeCode='SUBJ'][hl7:observation[hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')]]] (rule-reference: d24363e1-true-d24417e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3112']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3112']]/hl7:entry[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4276']]]/hl7:act[@classCode='PCPR'][hl7:templateId[@root='1.2.276.0.76.10.4276']]/hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.3.1.135.8.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]/*[not(self::hl7:qualifier | self::hl7:qualifier[hl7:value[@code='EINGESCHR' or @nullFlavor]])]"
         id="d24363e15-true-d24448e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3112-2016-09-06T164243.html"
              test="not(.)">(F06ReasonforReferralSectionV2)/d24363e15-true-d24448e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:qualifier | hl7:qualifier[hl7:value[@code='EINGESCHR' or @nullFlavor]] (rule-reference: d24363e15-true-d24448e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3112']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3112']]/hl7:entry[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4276']]]/hl7:act[@classCode='PCPR'][hl7:templateId[@root='1.2.276.0.76.10.4276']]/hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.3.1.135.8.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]/hl7:qualifier/*[not(self::hl7:name | self::hl7:value)]"
         id="d24363e19-true-d24468e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3112-2016-09-06T164243.html"
              test="not(.)">(F06ReasonforReferralSectionV2)/d24363e19-true-d24468e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:name | hl7:value (rule-reference: d24363e19-true-d24468e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3112']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3112']]/hl7:entry[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4276']]]/hl7:act[@classCode='PCPR'][hl7:templateId[@root='1.2.276.0.76.10.4276']]/hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.3.1.135.8.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]/hl7:qualifier[hl7:value[@code='EINGESCHR' or @nullFlavor]]/*[not(self::hl7:name | self::hl7:value[@code='EINGESCHR' or @nullFlavor])]"
         id="d24363e32-true-d24501e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3112-2016-09-06T164243.html"
              test="not(.)">(F06ReasonforReferralSectionV2)/d24363e32-true-d24501e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:name | hl7:value[@code='EINGESCHR' or @nullFlavor] (rule-reference: d24363e32-true-d24501e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3112']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3112']]/hl7:entry[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4276']]]/hl7:act[@classCode='PCPR'][hl7:templateId[@root='1.2.276.0.76.10.4276']]/hl7:entryRelationship[@typeCode='SUBJ'][hl7:observation[hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')]]]/*[not(self::hl7:observation[@classCode='OBS'][@moodCode='RQO'][hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')]])]"
         id="d24363e59-true-d24536e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3112-2016-09-06T164243.html"
              test="not(.)">(F06ReasonforReferralSectionV2)/d24363e59-true-d24536e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:observation[@classCode='OBS'][@moodCode='RQO'][hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')]] (rule-reference: d24363e59-true-d24536e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3112']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3112']]/hl7:entry[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4276']]]/hl7:act[@classCode='PCPR'][hl7:templateId[@root='1.2.276.0.76.10.4276']]/hl7:entryRelationship[@typeCode='SUBJ'][hl7:observation[hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:observation[@classCode='OBS'][@moodCode='RQO'][hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')]]/*[not(self::hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')] | self::hl7:statusCode[@code='completed'] | self::hl7:priorityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16866-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor] | self::hl7:value[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.3.1.135.8.11.2-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)])]"
         id="d24363e63-true-d24583e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3112-2016-09-06T164243.html"
              test="not(.)">(F06ReasonforReferralSectionV2)/d24363e63-true-d24583e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')] | hl7:statusCode[@code='completed'] | hl7:priorityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16866-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor] | hl7:value[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.3.1.135.8.11.2-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)] (rule-reference: d24363e63-true-d24583e0)</assert>
   </rule>
</pattern>
