<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.3112
Name: Reason for Referral Section (06)
Description: Dieser Abschnitt enthält den Grund für die Überweisung. Dieser wird typischerweise als Diagnose eingetragen. 
                 Als Detailinformation (entry) wird das Care Model sowie der Referral Type angegeben. Dies sind Checkboxen auf dem Formular. 
            
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.3112-2016-09-06T164243">
   <title>Reason for Referral Section (06)</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3112
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3112']]]
Item: (F06ReasonforReferralSectionV2)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3112
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3112']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3112']]
Item: (F06ReasonforReferralSectionV2)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3112']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3112']]"
         id="d19e1381-false-d24131e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3112-2016-09-06T164243.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.3112'])&gt;=1">(F06ReasonforReferralSectionV2): Element hl7:templateId[@root='1.2.276.0.76.10.3112'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3112-2016-09-06T164243.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.3112'])&lt;=1">(F06ReasonforReferralSectionV2): Element hl7:templateId[@root='1.2.276.0.76.10.3112'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3112-2016-09-06T164243.html"
              test="count(hl7:code[(@code='42349-1' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1">(F06ReasonforReferralSectionV2): Element hl7:code[(@code='42349-1' and @codeSystem='2.16.840.1.113883.6.1')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3112-2016-09-06T164243.html"
              test="count(hl7:code[(@code='42349-1' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(F06ReasonforReferralSectionV2): Element hl7:code[(@code='42349-1' and @codeSystem='2.16.840.1.113883.6.1')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3112-2016-09-06T164243.html"
              test="count(hl7:title)&gt;=1">(F06ReasonforReferralSectionV2): Element hl7:title ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3112-2016-09-06T164243.html"
              test="count(hl7:title)&lt;=1">(F06ReasonforReferralSectionV2): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3112-2016-09-06T164243.html"
              test="count(hl7:text[not(@nullFlavor)])&gt;=1">(F06ReasonforReferralSectionV2): Element hl7:text[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3112-2016-09-06T164243.html"
              test="count(hl7:text[not(@nullFlavor)])&lt;=1">(F06ReasonforReferralSectionV2): Element hl7:text[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3112
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3112']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3112']]/hl7:templateId[@root='1.2.276.0.76.10.3112']
Item: (F06ReasonforReferralSectionV2)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3112']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3112']]/hl7:templateId[@root='1.2.276.0.76.10.3112']"
         id="d19e1383-false-d24188e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3112-2016-09-06T164243.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(F06ReasonforReferralSectionV2): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3112-2016-09-06T164243.html"
              test="string(@root)=('1.2.276.0.76.10.3112')">(F06ReasonforReferralSectionV2): Der Wert von @root MUSS '1.2.276.0.76.10.3112' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3112
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3112']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3112']]/hl7:code[(@code='42349-1' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (F06ReasonforReferralSectionV2)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3112']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3112']]/hl7:code[(@code='42349-1' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="d19e1388-false-d24204e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3112-2016-09-06T164243.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(F06ReasonforReferralSectionV2): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3112-2016-09-06T164243.html"
              test="@nullFlavor or (@code='42349-1' and @codeSystem='2.16.840.1.113883.6.1')">(F06ReasonforReferralSectionV2): Der Elementinhalt MUSS einer von 'code '42349-1' codeSystem '2.16.840.1.113883.6.1'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3112
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3112']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3112']]/hl7:title
Item: (F06ReasonforReferralSectionV2)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3112']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3112']]/hl7:title"
         id="d19e1393-false-d24221e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3112-2016-09-06T164243.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(F06ReasonforReferralSectionV2): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3112-2016-09-06T164243.html"
              test="text()='Reason for referral '">(F06ReasonforReferralSectionV2): Der Elementinhalt von 'hl7:title' MUSS ''Reason for referral '' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3112
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3112']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3112']]/hl7:text[not(@nullFlavor)]
Item: (F06ReasonforReferralSectionV2)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3112']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3112']]/hl7:text[not(@nullFlavor)]"
         id="d19e1399-false-d24236e0">
      <extends rule="SD.TEXT"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3112-2016-09-06T164243.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(F06ReasonforReferralSectionV2): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3112
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3112']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3112']]/hl7:entry[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4276']]]
Item: (F06ReasonforReferralSectionV2)
--></pattern>
