<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4275
Name: Kv-Zuordnung Observation
Description: Mit dieser Observation wird die DMP-Zuordnung angegeben. 
            
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4275-2018-02-27T123511">
   <title>Kv-Zuordnung Observation</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4275
Context: *[hl7:observation[@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4271'] and hl7:templateId[@root='1.2.276.0.76.10.4275']]]
Item: (KVZuordnungObservation)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4275
Context: *[hl7:observation[@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4271'] and hl7:templateId[@root='1.2.276.0.76.10.4275']]]/hl7:observation[@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4271'] and hl7:templateId[@root='1.2.276.0.76.10.4275']]
Item: (KVZuordnungObservation)
-->

   <rule context="*[hl7:observation[@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4271'] and hl7:templateId[@root='1.2.276.0.76.10.4275']]]/hl7:observation[@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4271'] and hl7:templateId[@root='1.2.276.0.76.10.4275']]"
         id="d19e3948-false-d34652e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4275-2018-02-27T123511.html"
              test="string(@classCode)=('OBS') or not(@classCode)">(KVZuordnungObservation): Der Wert von @classCode MUSS 'OBS' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4275-2018-02-27T123511.html"
              test="string(@moodCode)=('EVN')">(KVZuordnungObservation): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4275-2018-02-27T123511.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4271'])&gt;=1">(KVZuordnungObservation): Element hl7:templateId[@root='1.2.276.0.76.10.4271'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4275-2018-02-27T123511.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4271'])&lt;=1">(KVZuordnungObservation): Element hl7:templateId[@root='1.2.276.0.76.10.4271'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4275-2018-02-27T123511.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4275'])&gt;=1">(KVZuordnungObservation): Element hl7:templateId[@root='1.2.276.0.76.10.4275'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4275-2018-02-27T123511.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4275'])&lt;=1">(KVZuordnungObservation): Element hl7:templateId[@root='1.2.276.0.76.10.4275'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4275-2018-02-27T123511.html"
              test="count(hl7:code[(@code='KV-Zuordnung' and @codeSystem='1.2.276.0.76.3.1.135.8.5.99')])&gt;=1">(KVZuordnungObservation): Element hl7:code[(@code='KV-Zuordnung' and @codeSystem='1.2.276.0.76.3.1.135.8.5.99')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4275-2018-02-27T123511.html"
              test="count(hl7:code[(@code='KV-Zuordnung' and @codeSystem='1.2.276.0.76.3.1.135.8.5.99')])&lt;=1">(KVZuordnungObservation): Element hl7:code[(@code='KV-Zuordnung' and @codeSystem='1.2.276.0.76.3.1.135.8.5.99')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4275-2018-02-27T123511.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.148-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)])&gt;=1">(KVZuordnungObservation): Element hl7:value[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.148-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4275-2018-02-27T123511.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.148-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)])&lt;=1">(KVZuordnungObservation): Element hl7:value[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.148-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4275
Context: *[hl7:observation[@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4271'] and hl7:templateId[@root='1.2.276.0.76.10.4275']]]/hl7:observation[@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4271'] and hl7:templateId[@root='1.2.276.0.76.10.4275']]/hl7:templateId[@root='1.2.276.0.76.10.4271']
Item: (KVZuordnungObservation)
-->

   <rule context="*[hl7:observation[@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4271'] and hl7:templateId[@root='1.2.276.0.76.10.4275']]]/hl7:observation[@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4271'] and hl7:templateId[@root='1.2.276.0.76.10.4275']]/hl7:templateId[@root='1.2.276.0.76.10.4271']"
         id="d19e3954-false-d34714e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4275-2018-02-27T123511.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(KVZuordnungObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4275-2018-02-27T123511.html"
              test="string(@root)=('1.2.276.0.76.10.4271')">(KVZuordnungObservation): Der Wert von @root MUSS '1.2.276.0.76.10.4271' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4275
Context: *[hl7:observation[@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4271'] and hl7:templateId[@root='1.2.276.0.76.10.4275']]]/hl7:observation[@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4271'] and hl7:templateId[@root='1.2.276.0.76.10.4275']]/hl7:templateId[@root='1.2.276.0.76.10.4275']
Item: (KVZuordnungObservation)
-->

   <rule context="*[hl7:observation[@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4271'] and hl7:templateId[@root='1.2.276.0.76.10.4275']]]/hl7:observation[@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4271'] and hl7:templateId[@root='1.2.276.0.76.10.4275']]/hl7:templateId[@root='1.2.276.0.76.10.4275']"
         id="d19e3959-false-d34730e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4275-2018-02-27T123511.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(KVZuordnungObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4275-2018-02-27T123511.html"
              test="string(@root)=('1.2.276.0.76.10.4275')">(KVZuordnungObservation): Der Wert von @root MUSS '1.2.276.0.76.10.4275' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4275
Context: *[hl7:observation[@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4271'] and hl7:templateId[@root='1.2.276.0.76.10.4275']]]/hl7:observation[@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4271'] and hl7:templateId[@root='1.2.276.0.76.10.4275']]/hl7:code[(@code='KV-Zuordnung' and @codeSystem='1.2.276.0.76.3.1.135.8.5.99')]
Item: (KVZuordnungObservation)
-->

   <rule context="*[hl7:observation[@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4271'] and hl7:templateId[@root='1.2.276.0.76.10.4275']]]/hl7:observation[@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4271'] and hl7:templateId[@root='1.2.276.0.76.10.4275']]/hl7:code[(@code='KV-Zuordnung' and @codeSystem='1.2.276.0.76.3.1.135.8.5.99')]"
         id="d19e3964-false-d34746e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4275-2018-02-27T123511.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(KVZuordnungObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4275-2018-02-27T123511.html"
              test="@nullFlavor or (@code='KV-Zuordnung' and @codeSystem='1.2.276.0.76.3.1.135.8.5.99')">(KVZuordnungObservation): Der Elementinhalt MUSS einer von 'code 'KV-Zuordnung' codeSystem '1.2.276.0.76.3.1.135.8.5.99'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4275
Context: *[hl7:observation[@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4271'] and hl7:templateId[@root='1.2.276.0.76.10.4275']]]/hl7:observation[@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4271'] and hl7:templateId[@root='1.2.276.0.76.10.4275']]/hl7:value[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.148-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)]
Item: (KVZuordnungObservation)
-->

   <rule context="*[hl7:observation[@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4271'] and hl7:templateId[@root='1.2.276.0.76.10.4275']]]/hl7:observation[@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4271'] and hl7:templateId[@root='1.2.276.0.76.10.4275']]/hl7:value[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.148-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)]"
         id="d19e3970-false-d34766e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4275-2018-02-27T123511.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(KVZuordnungObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4275-2018-02-27T123511.html"
              test="@nullFlavor or exists(doc('include/voc-1.2.276.0.76.11.148-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(KVZuordnungObservation): Der Elementinhalt MUSS einer von '1.2.276.0.76.11.148 S_KBV_KV (DYNAMIC)' sein.</assert>
   </rule>
</pattern>
