<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4276
Name: Patient Referral Act (06)
Description: This template represents the type of referral (e.g., for dental care, to a specialist, for aging problems) and represents whether the referral is for full care or shared care. It may contain a reference to another act in the document instance representing the clinical reason for the referral (e.g., problem, concern, procedure).
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4276-2016-09-06T163951">
   <title>Patient Referral Act (06)</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4276
Context: *[hl7:act[@classCode='PCPR'][hl7:templateId[@root='1.2.276.0.76.10.4276']]]
Item: (F06PatientReferralAct)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4276
Context: *[hl7:act[@classCode='PCPR'][hl7:templateId[@root='1.2.276.0.76.10.4276']]]/hl7:act[@classCode='PCPR'][hl7:templateId[@root='1.2.276.0.76.10.4276']]
Item: (F06PatientReferralAct)
-->

   <rule context="*[hl7:act[@classCode='PCPR'][hl7:templateId[@root='1.2.276.0.76.10.4276']]]/hl7:act[@classCode='PCPR'][hl7:templateId[@root='1.2.276.0.76.10.4276']]"
         id="d19e3992-false-d34812e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4276-2016-09-06T163951.html"
              test="string(@classCode)=('PCPR')">(F06PatientReferralAct): Der Wert von @classCode MUSS 'PCPR' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4276-2016-09-06T163951.html"
              test="@moodCode">(F06PatientReferralAct): Attribut @moodCode MUSS vorkommen.</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@moodCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(doc('include/voc-2.16.840.1.113883.11.20.9.66-2014-09-01T000000.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@code)"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4276-2016-09-06T163951.html"
              test="not(@moodCode) or count($theAttValue) = count($theAttCheck)">(F06PatientReferralAct): Der Wert von moodCode MUSS gewählt werden aus Value Set '2.16.840.1.113883.11.20.9.66' Patient Referral Act moodCode (2014-09-01T00:00:00).</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4276-2016-09-06T163951.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4276'])&gt;=1">(F06PatientReferralAct): Element hl7:templateId[@root='1.2.276.0.76.10.4276'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4276-2016-09-06T163951.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4276'])&lt;=1">(F06PatientReferralAct): Element hl7:templateId[@root='1.2.276.0.76.10.4276'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4276-2016-09-06T163951.html"
              test="count(hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.3.1.135.8.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor])&gt;=1">(F06PatientReferralAct): Element hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.3.1.135.8.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4276-2016-09-06T163951.html"
              test="count(hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.3.1.135.8.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor])&lt;=1">(F06PatientReferralAct): Element hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.3.1.135.8.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4276-2016-09-06T163951.html"
              test="count(hl7:statusCode[@code='active'])&gt;=1">(F06PatientReferralAct): Element hl7:statusCode[@code='active'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4276-2016-09-06T163951.html"
              test="count(hl7:statusCode[@code='active'])&lt;=1">(F06PatientReferralAct): Element hl7:statusCode[@code='active'] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4276
Context: *[hl7:act[@classCode='PCPR'][hl7:templateId[@root='1.2.276.0.76.10.4276']]]/hl7:act[@classCode='PCPR'][hl7:templateId[@root='1.2.276.0.76.10.4276']]/hl7:templateId[@root='1.2.276.0.76.10.4276']
Item: (F06PatientReferralAct)
-->

   <rule context="*[hl7:act[@classCode='PCPR'][hl7:templateId[@root='1.2.276.0.76.10.4276']]]/hl7:act[@classCode='PCPR'][hl7:templateId[@root='1.2.276.0.76.10.4276']]/hl7:templateId[@root='1.2.276.0.76.10.4276']"
         id="d19e4001-false-d34879e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4276-2016-09-06T163951.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(F06PatientReferralAct): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4276-2016-09-06T163951.html"
              test="string(@root)=('1.2.276.0.76.10.4276')">(F06PatientReferralAct): Der Wert von @root MUSS '1.2.276.0.76.10.4276' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4276
Context: *[hl7:act[@classCode='PCPR'][hl7:templateId[@root='1.2.276.0.76.10.4276']]]/hl7:act[@classCode='PCPR'][hl7:templateId[@root='1.2.276.0.76.10.4276']]/hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.3.1.135.8.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]
Item: (F06PatientReferralAct)
-->

   <rule context="*[hl7:act[@classCode='PCPR'][hl7:templateId[@root='1.2.276.0.76.10.4276']]]/hl7:act[@classCode='PCPR'][hl7:templateId[@root='1.2.276.0.76.10.4276']]/hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.3.1.135.8.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]"
         id="d19e4006-false-d34897e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4276-2016-09-06T163951.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(F06PatientReferralAct): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4276-2016-09-06T163951.html"
              test="@nullFlavor or exists(doc('include/voc-1.2.276.0.76.3.1.135.8.11.1-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(F06PatientReferralAct): Der Elementinhalt MUSS einer von '1.2.276.0.76.3.1.135.8.11.1 S_KBV_06_Referral_Type (DYNAMIC)' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4276-2016-09-06T163951.html"
              test="count(hl7:qualifier)&lt;=1">(F06PatientReferralAct): Element hl7:qualifier kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4276-2016-09-06T163951.html"
              test="count(hl7:qualifier[hl7:value[@code='EINGESCHR' or @nullFlavor]])&lt;=1">(F06PatientReferralAct): Element hl7:qualifier[hl7:value[@code='EINGESCHR' or @nullFlavor]] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4276
Context: *[hl7:act[@classCode='PCPR'][hl7:templateId[@root='1.2.276.0.76.10.4276']]]/hl7:act[@classCode='PCPR'][hl7:templateId[@root='1.2.276.0.76.10.4276']]/hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.3.1.135.8.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]/hl7:qualifier
Item: (F06PatientReferralAct)
-->

   <rule context="*[hl7:act[@classCode='PCPR'][hl7:templateId[@root='1.2.276.0.76.10.4276']]]/hl7:act[@classCode='PCPR'][hl7:templateId[@root='1.2.276.0.76.10.4276']]/hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.3.1.135.8.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]/hl7:qualifier"
         id="d19e4010-false-d34934e0">
      <extends rule="CR"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4276-2016-09-06T163951.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CR' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(F06PatientReferralAct): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CR" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4276-2016-09-06T163951.html"
              test="count(hl7:name)&gt;=1">(F06PatientReferralAct): Element hl7:name ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4276-2016-09-06T163951.html"
              test="count(hl7:name)&lt;=1">(F06PatientReferralAct): Element hl7:name kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4276-2016-09-06T163951.html"
              test="count(hl7:value)&gt;=1">(F06PatientReferralAct): Element hl7:value ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4276-2016-09-06T163951.html"
              test="count(hl7:value)&lt;=1">(F06PatientReferralAct): Element hl7:value kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4276
Context: *[hl7:act[@classCode='PCPR'][hl7:templateId[@root='1.2.276.0.76.10.4276']]]/hl7:act[@classCode='PCPR'][hl7:templateId[@root='1.2.276.0.76.10.4276']]/hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.3.1.135.8.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]/hl7:qualifier/hl7:name
Item: (F06PatientReferralAct)
-->

   <rule context="*[hl7:act[@classCode='PCPR'][hl7:templateId[@root='1.2.276.0.76.10.4276']]]/hl7:act[@classCode='PCPR'][hl7:templateId[@root='1.2.276.0.76.10.4276']]/hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.3.1.135.8.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]/hl7:qualifier/hl7:name"
         id="d19e4012-false-d34965e0">
      <extends rule="CV"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4276-2016-09-06T163951.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(F06PatientReferralAct): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CV" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4276-2016-09-06T163951.html"
              test="string(@code)=('FACHBEREICH') or not(@code)">(F06PatientReferralAct): Der Wert von @code MUSS 'FACHBEREICH' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4276
Context: *[hl7:act[@classCode='PCPR'][hl7:templateId[@root='1.2.276.0.76.10.4276']]]/hl7:act[@classCode='PCPR'][hl7:templateId[@root='1.2.276.0.76.10.4276']]/hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.3.1.135.8.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]/hl7:qualifier/hl7:value
Item: (F06PatientReferralAct)
-->

   <rule context="*[hl7:act[@classCode='PCPR'][hl7:templateId[@root='1.2.276.0.76.10.4276']]]/hl7:act[@classCode='PCPR'][hl7:templateId[@root='1.2.276.0.76.10.4276']]/hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.3.1.135.8.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]/hl7:qualifier/hl7:value"
         id="d19e4017-false-d34980e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4276-2016-09-06T163951.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(F06PatientReferralAct): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4276-2016-09-06T163951.html"
              test="not(@code) or (string-length(@code)&gt;0 and not(matches(@code,'\s')))">(F06PatientReferralAct): Attribute @code MUSS vom Datentyp 'cs' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4276
Context: *[hl7:act[@classCode='PCPR'][hl7:templateId[@root='1.2.276.0.76.10.4276']]]/hl7:act[@classCode='PCPR'][hl7:templateId[@root='1.2.276.0.76.10.4276']]/hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.3.1.135.8.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]/hl7:qualifier[hl7:value[@code='EINGESCHR' or @nullFlavor]]
Item: (F06PatientReferralAct)
-->

   <rule context="*[hl7:act[@classCode='PCPR'][hl7:templateId[@root='1.2.276.0.76.10.4276']]]/hl7:act[@classCode='PCPR'][hl7:templateId[@root='1.2.276.0.76.10.4276']]/hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.3.1.135.8.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]/hl7:qualifier[hl7:value[@code='EINGESCHR' or @nullFlavor]]"
         id="d19e4023-false-d34996e0">
      <extends rule="CR"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4276-2016-09-06T163951.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CR' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(F06PatientReferralAct): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CR" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4276-2016-09-06T163951.html"
              test="count(hl7:name)&gt;=1">(F06PatientReferralAct): Element hl7:name ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4276-2016-09-06T163951.html"
              test="count(hl7:name)&lt;=1">(F06PatientReferralAct): Element hl7:name kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4276-2016-09-06T163951.html"
              test="count(hl7:value[@code='EINGESCHR' or @nullFlavor])&gt;=1">(F06PatientReferralAct): Element hl7:value[@code='EINGESCHR' or @nullFlavor] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4276-2016-09-06T163951.html"
              test="count(hl7:value[@code='EINGESCHR' or @nullFlavor])&lt;=1">(F06PatientReferralAct): Element hl7:value[@code='EINGESCHR' or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4276
Context: *[hl7:act[@classCode='PCPR'][hl7:templateId[@root='1.2.276.0.76.10.4276']]]/hl7:act[@classCode='PCPR'][hl7:templateId[@root='1.2.276.0.76.10.4276']]/hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.3.1.135.8.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]/hl7:qualifier[hl7:value[@code='EINGESCHR' or @nullFlavor]]/hl7:name
Item: (F06PatientReferralAct)
-->

   <rule context="*[hl7:act[@classCode='PCPR'][hl7:templateId[@root='1.2.276.0.76.10.4276']]]/hl7:act[@classCode='PCPR'][hl7:templateId[@root='1.2.276.0.76.10.4276']]/hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.3.1.135.8.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]/hl7:qualifier[hl7:value[@code='EINGESCHR' or @nullFlavor]]/hl7:name"
         id="d19e4030-false-d35028e0">
      <extends rule="CV"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4276-2016-09-06T163951.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(F06PatientReferralAct): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CV" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4276-2016-09-06T163951.html"
              test="string(@code)=('EINGESCHR') or not(@code)">(F06PatientReferralAct): Der Wert von @code MUSS 'EINGESCHR' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4276
Context: *[hl7:act[@classCode='PCPR'][hl7:templateId[@root='1.2.276.0.76.10.4276']]]/hl7:act[@classCode='PCPR'][hl7:templateId[@root='1.2.276.0.76.10.4276']]/hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.3.1.135.8.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]/hl7:qualifier[hl7:value[@code='EINGESCHR' or @nullFlavor]]/hl7:value[@code='EINGESCHR' or @nullFlavor]
Item: (F06PatientReferralAct)
-->

   <rule context="*[hl7:act[@classCode='PCPR'][hl7:templateId[@root='1.2.276.0.76.10.4276']]]/hl7:act[@classCode='PCPR'][hl7:templateId[@root='1.2.276.0.76.10.4276']]/hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.3.1.135.8.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]/hl7:qualifier[hl7:value[@code='EINGESCHR' or @nullFlavor]]/hl7:value[@code='EINGESCHR' or @nullFlavor]"
         id="d19e4035-false-d35044e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4276-2016-09-06T163951.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(F06PatientReferralAct): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4276-2016-09-06T163951.html"
              test="@nullFlavor or (@code='EINGESCHR')">(F06PatientReferralAct): Der Elementinhalt MUSS einer von 'code 'EINGESCHR'' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4276-2016-09-06T163951.html"
              test="not(@code) or (string-length(@code)&gt;0 and not(matches(@code,'\s')))">(F06PatientReferralAct): Attribute @code MUSS vom Datentyp 'cs' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4276
Context: *[hl7:act[@classCode='PCPR'][hl7:templateId[@root='1.2.276.0.76.10.4276']]]/hl7:act[@classCode='PCPR'][hl7:templateId[@root='1.2.276.0.76.10.4276']]/hl7:statusCode[@code='active']
Item: (F06PatientReferralAct)
-->

   <rule context="*[hl7:act[@classCode='PCPR'][hl7:templateId[@root='1.2.276.0.76.10.4276']]]/hl7:act[@classCode='PCPR'][hl7:templateId[@root='1.2.276.0.76.10.4276']]/hl7:statusCode[@code='active']"
         id="d19e4044-false-d35066e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4276-2016-09-06T163951.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(F06PatientReferralAct): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4276-2016-09-06T163951.html"
              test="@nullFlavor or (@code='active')">(F06PatientReferralAct): Der Elementinhalt MUSS einer von 'code 'active'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4276
Context: *[hl7:act[@classCode='PCPR'][hl7:templateId[@root='1.2.276.0.76.10.4276']]]/hl7:act[@classCode='PCPR'][hl7:templateId[@root='1.2.276.0.76.10.4276']]/hl7:entryRelationship[@typeCode='SUBJ'][hl7:observation[hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')]]]
Item: (F06PatientReferralAct)
-->

   <rule context="*[hl7:act[@classCode='PCPR'][hl7:templateId[@root='1.2.276.0.76.10.4276']]]/hl7:act[@classCode='PCPR'][hl7:templateId[@root='1.2.276.0.76.10.4276']]/hl7:entryRelationship[@typeCode='SUBJ'][hl7:observation[hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')]]]"
         id="d19e4050-false-d35084e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4276-2016-09-06T163951.html"
              test="string(@typeCode)=('SUBJ')">(F06PatientReferralAct): Der Wert von @typeCode MUSS 'SUBJ' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4276-2016-09-06T163951.html"
              test="count(hl7:observation[@classCode='OBS'][@moodCode='RQO'][hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')]])&gt;=1">(F06PatientReferralAct): Element hl7:observation[@classCode='OBS'][@moodCode='RQO'][hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')]] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4276-2016-09-06T163951.html"
              test="count(hl7:observation[@classCode='OBS'][@moodCode='RQO'][hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')]])&lt;=1">(F06PatientReferralAct): Element hl7:observation[@classCode='OBS'][@moodCode='RQO'][hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')]] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4276
Context: *[hl7:act[@classCode='PCPR'][hl7:templateId[@root='1.2.276.0.76.10.4276']]]/hl7:act[@classCode='PCPR'][hl7:templateId[@root='1.2.276.0.76.10.4276']]/hl7:entryRelationship[@typeCode='SUBJ'][hl7:observation[hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:observation[@classCode='OBS'][@moodCode='RQO'][hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')]]
Item: (F06PatientReferralAct)
-->

   <rule context="*[hl7:act[@classCode='PCPR'][hl7:templateId[@root='1.2.276.0.76.10.4276']]]/hl7:act[@classCode='PCPR'][hl7:templateId[@root='1.2.276.0.76.10.4276']]/hl7:entryRelationship[@typeCode='SUBJ'][hl7:observation[hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:observation[@classCode='OBS'][@moodCode='RQO'][hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')]]"
         id="d19e4054-false-d35107e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4276-2016-09-06T163951.html"
              test="string(@classCode)=('OBS')">(F06PatientReferralAct): Der Wert von @classCode MUSS 'OBS' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4276-2016-09-06T163951.html"
              test="string(@moodCode)=('RQO')">(F06PatientReferralAct): Der Wert von @moodCode MUSS 'RQO' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4276-2016-09-06T163951.html"
              test="count(hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')])&gt;=1">(F06PatientReferralAct): Element hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4276-2016-09-06T163951.html"
              test="count(hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')])&lt;=1">(F06PatientReferralAct): Element hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4276-2016-09-06T163951.html"
              test="count(hl7:statusCode[@code='completed'])&gt;=1">(F06PatientReferralAct): Element hl7:statusCode[@code='completed'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4276-2016-09-06T163951.html"
              test="count(hl7:statusCode[@code='completed'])&lt;=1">(F06PatientReferralAct): Element hl7:statusCode[@code='completed'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4276-2016-09-06T163951.html"
              test="count(hl7:priorityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16866-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor])&lt;=1">(F06PatientReferralAct): Element hl7:priorityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16866-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4276-2016-09-06T163951.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.3.1.135.8.11.2-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)])&gt;=1">(F06PatientReferralAct): Element hl7:value[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.3.1.135.8.11.2-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4276-2016-09-06T163951.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.3.1.135.8.11.2-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)])&lt;=1">(F06PatientReferralAct): Element hl7:value[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.3.1.135.8.11.2-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4276
Context: *[hl7:act[@classCode='PCPR'][hl7:templateId[@root='1.2.276.0.76.10.4276']]]/hl7:act[@classCode='PCPR'][hl7:templateId[@root='1.2.276.0.76.10.4276']]/hl7:entryRelationship[@typeCode='SUBJ'][hl7:observation[hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:observation[@classCode='OBS'][@moodCode='RQO'][hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')]
Item: (F06PatientReferralAct)
-->

   <rule context="*[hl7:act[@classCode='PCPR'][hl7:templateId[@root='1.2.276.0.76.10.4276']]]/hl7:act[@classCode='PCPR'][hl7:templateId[@root='1.2.276.0.76.10.4276']]/hl7:entryRelationship[@typeCode='SUBJ'][hl7:observation[hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:observation[@classCode='OBS'][@moodCode='RQO'][hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')]"
         id="d19e4060-false-d35168e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4276-2016-09-06T163951.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(F06PatientReferralAct): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4276-2016-09-06T163951.html"
              test="@nullFlavor or (@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')">(F06PatientReferralAct): Der Elementinhalt MUSS einer von 'code 'ASSERTION' codeSystem '2.16.840.1.113883.5.4'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4276
Context: *[hl7:act[@classCode='PCPR'][hl7:templateId[@root='1.2.276.0.76.10.4276']]]/hl7:act[@classCode='PCPR'][hl7:templateId[@root='1.2.276.0.76.10.4276']]/hl7:entryRelationship[@typeCode='SUBJ'][hl7:observation[hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:observation[@classCode='OBS'][@moodCode='RQO'][hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:statusCode[@code='completed']
Item: (F06PatientReferralAct)
-->

   <rule context="*[hl7:act[@classCode='PCPR'][hl7:templateId[@root='1.2.276.0.76.10.4276']]]/hl7:act[@classCode='PCPR'][hl7:templateId[@root='1.2.276.0.76.10.4276']]/hl7:entryRelationship[@typeCode='SUBJ'][hl7:observation[hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:observation[@classCode='OBS'][@moodCode='RQO'][hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:statusCode[@code='completed']"
         id="d19e4065-false-d35186e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4276-2016-09-06T163951.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(F06PatientReferralAct): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4276-2016-09-06T163951.html"
              test="@nullFlavor or (@code='completed')">(F06PatientReferralAct): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4276
Context: *[hl7:act[@classCode='PCPR'][hl7:templateId[@root='1.2.276.0.76.10.4276']]]/hl7:act[@classCode='PCPR'][hl7:templateId[@root='1.2.276.0.76.10.4276']]/hl7:entryRelationship[@typeCode='SUBJ'][hl7:observation[hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:observation[@classCode='OBS'][@moodCode='RQO'][hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:priorityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16866-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]
Item: (F06PatientReferralAct)
-->

   <rule context="*[hl7:act[@classCode='PCPR'][hl7:templateId[@root='1.2.276.0.76.10.4276']]]/hl7:act[@classCode='PCPR'][hl7:templateId[@root='1.2.276.0.76.10.4276']]/hl7:entryRelationship[@typeCode='SUBJ'][hl7:observation[hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:observation[@classCode='OBS'][@moodCode='RQO'][hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:priorityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16866-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]"
         id="d19e4070-false-d35206e0">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4276-2016-09-06T163951.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.16866-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(F06PatientReferralAct): Der Elementinhalt MUSS einer von '2.16.840.1.113883.1.11.16866 ActPriority (DYNAMIC)' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4276
Context: *[hl7:act[@classCode='PCPR'][hl7:templateId[@root='1.2.276.0.76.10.4276']]]/hl7:act[@classCode='PCPR'][hl7:templateId[@root='1.2.276.0.76.10.4276']]/hl7:entryRelationship[@typeCode='SUBJ'][hl7:observation[hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:observation[@classCode='OBS'][@moodCode='RQO'][hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:value[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.3.1.135.8.11.2-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)]
Item: (F06PatientReferralAct)
-->

   <rule context="*[hl7:act[@classCode='PCPR'][hl7:templateId[@root='1.2.276.0.76.10.4276']]]/hl7:act[@classCode='PCPR'][hl7:templateId[@root='1.2.276.0.76.10.4276']]/hl7:entryRelationship[@typeCode='SUBJ'][hl7:observation[hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:observation[@classCode='OBS'][@moodCode='RQO'][hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:value[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.3.1.135.8.11.2-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)]"
         id="d19e4076-false-d35227e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4276-2016-09-06T163951.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(F06PatientReferralAct): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4276-2016-09-06T163951.html"
              test="@nullFlavor or exists(doc('include/voc-1.2.276.0.76.3.1.135.8.11.2-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(F06PatientReferralAct): Der Elementinhalt MUSS einer von '1.2.276.0.76.3.1.135.8.11.2 S_KBV_06_Untersuchungsart (DYNAMIC)' sein.</assert>
   </rule>
</pattern>
